Workflow Run Get All

Workflow Run Get All
List Workflow Runs

Retrieves list of Workflow Runs possibly filtered by eventId and workflowId.

Request
URI
GET
https://{vcfa-fqdn}/vro/runs
COPY
Query Parameters
page
Required

page


Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with list of workflow runs

Returns PageWorkflowRun of type(s) */*
{
    "totalPages": 0,
    "totalElements": 0,
    "size": 0,
    "content": [
        {
            "id": "string",
            "name": "string",
            "ownerId": "string",
            "orgId": "string",
            "createdOn": 0,
            "modifiedOn": 0,
            "configurationId": "string",
            "runId": "string",
            "workflowId": "string",
            "runStatus": "string",
            "errorMessage": "string",
            "startedBy": "string",
            "startedOn": 0,
            "completedOn": 0,
            "ebsEventId": "string",
            "eventTraceEntryId": "string",
            "ebsBlocking": false,
            "workflowInputs": {
                "workflowInputs": {}
            },
            "workflowOutputs": {
                "workflowOutputs": {}
            },
            "logs": [
                {
                    "severity": "string",
                    "shortDescription": "string",
                    "longDescription": "string",
                    "userName": "string",
                    "timestamp": "string",
                    "origin": "string",
                    "entry": {
                        "entry": "string"
                    }
                }
            ],
            "integrationId": "string",
            "integrationName": "string",
            "integrationSelfLink": "string"
        }
    ],
    "number": 0,
    "sort": [
        {
            "direction": "string",
            "nullHandling": "string",
            "ascending": false,
            "property": "string",
            "ignoreCase": false
        }
    ],
    "numberOfElements": 0,
    "pageable": {
        "offset": 0,
        "sort": [
            {
                "direction": "string",
                "nullHandling": "string",
                "ascending": false,
                "property": "string",
                "ignoreCase": false
            }
        ],
        "paged": false,
        "pageNumber": 0,
        "pageSize": 0,
        "unpaged": false
    },
    "first": false,
    "last": false,
    "empty": false
}

202

Accepted

{
    "message": "string",
    "messageId": "string",
    "stackTrace": [
        "string"
    ],
    "statusCode": 0,
    "errorCode": 0,
    "details": [
        "string"
    ],
    "serverErrorId": "string",
    "documentKind": "string",
    "certificateInfo": {
        "certificate": "string",
        "properties": {
            "properties": "string"
        },
        "documentKind": "string"
    },
    "internalErrorCode": 0
}

400

Bad Request

Returns ServiceErrorResponse of type(s) */*
{
    "message": "string",
    "messageId": 0,
    "stackTrace": [
        "string"
    ],
    "statusCode": 0,
    "errorCode": 0
}

403

Forbidden

Returns BriefServiceErrorResponse of type(s) */*
{
    "message": "string"
}

404

Not Found

Returns BriefServiceErrorResponse of type(s) */*
{
    "message": "string"
}

409

Conflict

Returns BriefServiceErrorResponse of type(s) */*
"BriefServiceErrorResponse Object"
string
message
Optional

message


417

Expectation Failed

Returns BriefServiceErrorResponse of type(s) */*
"BriefServiceErrorResponse Object"
string
message
Optional

message


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/vro/runs?page=v